Github messages for voidlinux
 help / color / mirror / Atom feed
From: voidlinux-github@inbox.vuxu.org
To: ml@inbox.vuxu.org
Subject: Re: [PR PATCH] [Updated] GCP-Guest-Environment: redirect sv check to /dev/null
Date: Tue, 12 Nov 2019 14:06:18 +0100
Message-ID: <20191112130618.ur5QIzRFYoUvwHjpZhSWScKjatW_6Pnv_vB-7oMg3z4@z> (raw)
In-Reply-To: <gh-mailinglist-notifications-41a7ca26-5023-4802-975b-f1789d68868e-void-packages-16412@inbox.vuxu.org>

[-- Attachment #1: Type: text/plain, Size: 505 bytes --]

There is an updated pull request by paualberto against master on the void-packages repository

https://github.com/paualberto/void-packages GCP-Guest-Environment
https://github.com/void-linux/void-packages/pull/16412

GCP-Guest-Environment: redirect sv check to /dev/null
Avoid spamming the tty/serial with sv messages.
The stdout for this command is not needed as it is used programmatically with the exit status

A patch file from https://github.com/void-linux/void-packages/pull/16412.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-GCP-Guest-Environment-16412.patch --]
[-- Type: text/x-diff, Size: 2110 bytes --]

From 871ced3a7121625736c2fb0584484ed1e1ea273d Mon Sep 17 00:00:00 2001
From: Alberto Pau <696864+paualberto@users.noreply.github.com>
Date: Tue, 12 Nov 2019 13:01:02 +0000
Subject: [PATCH] GCP-Guest-Environment: redirect sv check to /dev/null

Avoid spamming the tty/serial with sv messages.
The stdout for this command is not needed as it is used programmatically with the exit status
---
 srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run      | 2 +-
 srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run    | 2 +-
 srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run b/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
index 63a6d7959c7..286d7b59f1d 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-accounts/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5
diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run b/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
index c70f4ce8ab3..33615f7eec0 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-clock-skew/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5
diff --git a/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run b/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
index fc5f5671b21..31a2fd45452 100644
--- a/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
+++ b/srcpkgs/GCP-Guest-Environment/files/GCP-ip-forwarding/run
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-sv check GCP-Guest-Initialization || exit 1
+sv check GCP-Guest-Initialization >/dev/null || exit 1
 
 while ! ping -c1 metadata.google.internal >/dev/null ; do
     sleep 5

  reply	other threads:[~2019-11-12 13:06 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-12 13:03 [PR PATCH] " voidlinux-github
2019-11-12 13:06 ` voidlinux-github [this message]
2019-11-12 15:25 ` [PR PATCH] [Updated] GCP-Guest-Environment: " voidlinux-github

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20191112130618.ur5QIzRFYoUvwHjpZhSWScKjatW_6Pnv_vB-7oMg3z4@z \
    --to=voidlinux-github@inbox.vuxu.org \
    --cc=ml@inbox.vuxu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ https://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git